Debian Bug report logs - #132980
ITA: php4 -- A server-side, HTML-embedded scripting

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Petr Cech <cech@debian.org>

Date: Fri, 8 Feb 2002 15:03:01 UTC

Severity: normal

Tags: fixed

Done: Steve Langasek <vorlon@netexpress.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#132980; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Petr Cech <cech@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petr Cech <cech@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: php4 -- A server-side, HTML-embedded scripting language
Date: Fri, 08 Feb 2002 15:53:41 +0100
Package: wnpp
Version: N/A; reported 2002-02-08
Severity: normal

Whoever wants this. Be warned thoug about stupid users reporting their stupid
configuration problems with incredible severities because they're so f***ing
stupid.


-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux one 2.4.15-pre5 #1 Fri Nov 16 09:34:49 CET 2001 i686
Locale: LANG=C, LC_CTYPE=C




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#132980; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rob Bradford <rob@debianplanet.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Rob Bradford <rob@debianplanet.org>
To: Petr Cech <cech@debian.org>
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#132980: O: php4 -- A server-side, HTML-embedded scripting language
Date: 08 Feb 2002 15:16:21 +0000
On Fri, 2002-02-08 at 14:53, Petr Cech wrote:
> Package: wnpp
> Version: N/A; reported 2002-02-08
> Severity: normal
> 
> Whoever wants this. Be warned thoug about stupid users reporting their stupid
> configuration problems with incredible severities because they're so f***ing
> stupid.
> 
> 
> -- System Information
> Debian Release: 3.0
> Architecture: i386
> Kernel: Linux one 2.4.15-pre5 #1 Fri Nov 16 09:34:49 CET 2001 i686
> Locale: LANG=C, LC_CTYPE=C

Thats the only downside of being a Debian maintainer, the lusers :(

-- 
Rob 'robster' Bradford
http://robster.org.uk




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#132980; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Adam Conrad" <adconrad@0c3.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 132980@bugs.debian.org (full text, mbox):

From: "Adam Conrad" <adconrad@0c3.net>
To: "'Petr Cech'" <cech@debian.org>, <132980@bugs.debian.org>
Subject: RE: Bug#132980: O: php4 -- A server-side, HTML-embedded scripting language
Date: Fri, 8 Feb 2002 08:21:29 -0700
Petr,

I've been dragging my feet on becoming a DD until something came along
that I felt I really wanted to package.  This would be it, I suppose. :)

I'm willing to deal with stupid users and all of that stuff.

One catch, of course.  Since I'm not in the NM queue, I need to get on
that, and I'll need a sponsor as well.  If you'd be willing to hold on
to php4 for now, and sponsor me while I do the whole NM thing, I'd be
happy to take it off your hands.

... Adam Conrad

-----Original Message-----
From: Petr Cech [mailto:cech@debian.org] 
Sent: Friday, February 08, 2002 7:54 AM
To: Debian Bug Tracking System
Subject: Bug#132980: O: php4 -- A server-side, HTML-embedded scripting
language


Package: wnpp
Version: N/A; reported 2002-02-08
Severity: normal

Whoever wants this. Be warned thoug about stupid users reporting their
stupid
configuration problems with incredible severities because they're so
f***ing
stupid.


-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux one 2.4.15-pre5 #1 Fri Nov 16 09:34:49 CET 2001 i686
Locale: LANG=C, LC_CTYPE=C



-- 
To UNSUBSCRIBE, email to debian-bugs-dist-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact
listmaster@lists.debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#132980; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@netexpress.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 132980@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@netexpress.net>
To: Adam Conrad <adconrad@0c3.net>, 132980@bugs.debian.org
Cc: "'Petr Cech'" <cech@debian.org>
Subject: Re: Bug#132980: O: php4 -- A server-side, HTML-embedded scripting language
Date: Fri, 8 Feb 2002 09:53:03 -0600
[Message part 1 (text/plain, inline)]
On Fri, Feb 08, 2002 at 08:21:29AM -0700, Adam Conrad wrote:

> I've been dragging my feet on becoming a DD until something came along
> that I felt I really wanted to package.  This would be it, I suppose. :)

> I'm willing to deal with stupid users and all of that stuff.

> One catch, of course.  Since I'm not in the NM queue, I need to get on
> that, and I'll need a sponsor as well.  If you'd be willing to hold on
> to php4 for now, and sponsor me while I do the whole NM thing, I'd be
> happy to take it off your hands.

I don't mean to discourage you, Adam, but I maintain several packages
that contain shared libraries, and I would be afraid to take on php4 by
myself.  I presume you are either far braver than I am, or don't realize
what you're volunteering yourself for. ;)

IMHO, given the number of binary packages php4 produces, it would be a
good idea to have more than one developer working on this package.  I'm
willing to invest some time into it, but can't commit to being a sole
maintainer.

Petr, if you have some help beating down clueless bug reporters, would 
you be willing to stick it out a while longer while other developers get 
up to speed on the package?

Steve Langasek
postmodern programmer

> -----Original Message-----
> From: Petr Cech [mailto:cech@debian.org] 
> Sent: Friday, February 08, 2002 7:54 AM
> To: Debian Bug Tracking System
> Subject: Bug#132980: O: php4 -- A server-side, HTML-embedded scripting
> language


> Package: wnpp
> Version: N/A; reported 2002-02-08
> Severity: normal

> Whoever wants this. Be warned thoug about stupid users reporting their
> stupid
> configuration problems with incredible severities because they're so
> f***ing
> stupid.

> -- System Information
> Debian Release: 3.0
> Architecture: i386
> Kernel: Linux one 2.4.15-pre5 #1 Fri Nov 16 09:34:49 CET 2001 i686
> Locale: LANG=C, LC_CTYPE=C
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#132980; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Adam Conrad" <adconrad@0c3.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 132980@bugs.debian.org (full text, mbox):

From: "Adam Conrad" <adconrad@0c3.net>
To: "'Steve Langasek'" <vorlon@netexpress.net>, <132980@bugs.debian.org>
Cc: "'Petr Cech'" <cech@debian.org>
Subject: RE: Bug#132980: O: php4 -- A server-side, HTML-embedded scripting language
Date: Fri, 8 Feb 2002 08:58:36 -0700
<shrug>... I'm pretty familiar with the PHP source, and I write PHP
modules (that use shared libs, no less), so I do know what's going on.

... Adam

-----Original Message-----
From: Steve Langasek [mailto:vorlon@netexpress.net] 
Sent: Friday, February 08, 2002 8:53 AM
To: Adam Conrad; 132980@bugs.debian.org
Cc: 'Petr Cech'
Subject: Re: Bug#132980: O: php4 -- A server-side, HTML-embedded
scripting language


On Fri, Feb 08, 2002 at 08:21:29AM -0700, Adam Conrad wrote:

> I've been dragging my feet on becoming a DD until something came along
> that I felt I really wanted to package.  This would be it, I suppose.
:)

> I'm willing to deal with stupid users and all of that stuff.

> One catch, of course.  Since I'm not in the NM queue, I need to get on
> that, and I'll need a sponsor as well.  If you'd be willing to hold on
> to php4 for now, and sponsor me while I do the whole NM thing, I'd be
> happy to take it off your hands.

I don't mean to discourage you, Adam, but I maintain several packages
that contain shared libraries, and I would be afraid to take on php4 by
myself.  I presume you are either far braver than I am, or don't realize
what you're volunteering yourself for. ;)

IMHO, given the number of binary packages php4 produces, it would be a
good idea to have more than one developer working on this package.  I'm
willing to invest some time into it, but can't commit to being a sole
maintainer.

Petr, if you have some help beating down clueless bug reporters, would 
you be willing to stick it out a while longer while other developers get

up to speed on the package?

Steve Langasek
postmodern programmer

> -----Original Message-----
> From: Petr Cech [mailto:cech@debian.org] 
> Sent: Friday, February 08, 2002 7:54 AM
> To: Debian Bug Tracking System
> Subject: Bug#132980: O: php4 -- A server-side, HTML-embedded scripting
> language


> Package: wnpp
> Version: N/A; reported 2002-02-08
> Severity: normal

> Whoever wants this. Be warned thoug about stupid users reporting their
> stupid
> configuration problems with incredible severities because they're so
> f***ing
> stupid.

> -- System Information
> Debian Release: 3.0
> Architecture: i386
> Kernel: Linux one 2.4.15-pre5 #1 Fri Nov 16 09:34:49 CET 2001 i686
> Locale: LANG=C, LC_CTYPE=C




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#132980; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@netexpress.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #30 received at 132980@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@netexpress.net>
To: Adam Conrad <adconrad@0c3.net>
Cc: 132980@bugs.debian.org, "'Petr Cech'" <cech@debian.org>
Subject: Re: Bug#132980: O: php4 -- A server-side, HTML-embedded scripting language
Date: Fri, 8 Feb 2002 11:13:17 -0600
[Message part 1 (text/plain, inline)]
On Fri, Feb 08, 2002 at 08:58:36AM -0700, Adam Conrad wrote:
> <shrug>... I'm pretty familiar with the PHP source, and I write PHP
> modules (that use shared libs, no less), so I do know what's going on.

Maintaining binary packages for shared libs and keeping them in sync
with the distro is, I would argue, at least as time-consuming as
maintaining a source tarball of one.  I don't doubt you'll be able to
grow into the position, I just wouldn't want you to burn out shortly
thereafter. :)

Normally, NMs are discouraged from trying to take shared libraries on
as their first package, because there's usually enough to learn about
policy & packaging in general without throwing more curve balls.  Of
course, I didn't listen, so I can't really ask you to, either.  If Petr
is not willing to sponsor your uploads, I will do so.

Steve Langasek
postmodern programmer

> -----Original Message-----
> From: Steve Langasek [mailto:vorlon@netexpress.net] 
> Sent: Friday, February 08, 2002 8:53 AM
> To: Adam Conrad; 132980@bugs.debian.org
> Cc: 'Petr Cech'
> Subject: Re: Bug#132980: O: php4 -- A server-side, HTML-embedded
> scripting language


> On Fri, Feb 08, 2002 at 08:21:29AM -0700, Adam Conrad wrote:

> > I've been dragging my feet on becoming a DD until something came along
> > that I felt I really wanted to package.  This would be it, I suppose.
> :)

> > I'm willing to deal with stupid users and all of that stuff.

> > One catch, of course.  Since I'm not in the NM queue, I need to get on
> > that, and I'll need a sponsor as well.  If you'd be willing to hold on
> > to php4 for now, and sponsor me while I do the whole NM thing, I'd be
> > happy to take it off your hands.

> I don't mean to discourage you, Adam, but I maintain several packages
> that contain shared libraries, and I would be afraid to take on php4 by
> myself.  I presume you are either far braver than I am, or don't realize
> what you're volunteering yourself for. ;)

> IMHO, given the number of binary packages php4 produces, it would be a
> good idea to have more than one developer working on this package.  I'm
> willing to invest some time into it, but can't commit to being a sole
> maintainer.

> Petr, if you have some help beating down clueless bug reporters, would 
> you be willing to stick it out a while longer while other developers get
> up to speed on the package?
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#132980; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Adam Conrad" <adconrad@0c3.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #35 received at 132980@bugs.debian.org (full text, mbox):

From: "Adam Conrad" <adconrad@0c3.net>
To: "'Petr Cech'" <cech@debian.org>
Cc: <132980@bugs.debian.org>
Subject: RE: Bug#132980: O: php4 -- A server-side, HTML-embedded scripting language
Date: Sat, 9 Feb 2002 10:34:40 -0700
Alright.  Give me the weekend to familiarize myself with your packaging
of php4, and if that doesn't scare me off, I'll retitle the bug to an
ITA, and get in the NM queue post-haste.

... Adam

-----Original Message-----
From: 'Petr Cech' [mailto:cech@debian.org] 
Sent: Saturday, February 09, 2002 8:20 AM
To: Adam Conrad
Subject: Re: Bug#132980: O: php4 -- A server-side, HTML-embedded
scripting language

....

no problems here. I'll b happy to sponsor you as long as I don't have to
deal with bugreports ;-D

Petr
P.S. I'm usually not that eggressive(?)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#132980; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andrew McMillan <andrew@catalyst.net.nz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #40 received at 132980@bugs.debian.org (full text, mbox):

From: Andrew McMillan <andrew@catalyst.net.nz>
To: Steve Langasek <vorlon@debian.org>
Cc: Adam Conrad <adconrad@0c3.net>, 132980@bugs.debian.org, 133032@bugs.debian.org
Subject: Re: Bug#133032: uninstallable package == grave bug
Date: 12 Feb 2002 15:51:59 +1300
On Tue, 2002-02-12 at 15:42, Steve Langasek wrote:
> severity 133032 grave
> severity 132992 grave
> merge 133032 132992
> thanks
> 
> The php4 package in unstable is not installable using only dependencies 
> in unstable.  This is a grave bug.
> 
> I am preparing an NMU that will address this issue and will also change 
> the maintainer address to packages@qa.debian.org, as is required for 
> orphaned packages.

I understood someone was already working on this and had filed an ITA
for it?

Regards,
					Andrew.
-- 
--------------------------------------------------------------------
Andrew @ Catalyst .Net.NZ Ltd, PO Box 11-053, Manners St, Wellington
WEB: http://catalyst.net.nz/        PHYS: Level 2, 150-154 Willis St
DDI: +64(4)916-7201    MOB: +64(21)635-694    OFFICE: +64(4)499-2267
       Are you enrolled at http://schoolreunions.co.nz/ yet?




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#132980; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@netexpress.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #45 received at 132980@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@netexpress.net>
To: Andrew McMillan <andrew@catalyst.net.nz>
Cc: Adam Conrad <adconrad@0c3.net>, 132980@bugs.debian.org
Subject: Re: Bug#133032: uninstallable package == grave bug
Date: Mon, 11 Feb 2002 21:52:17 -0600
[Message part 1 (text/plain, inline)]
On Tue, Feb 12, 2002 at 03:51:59PM +1300, Andrew McMillan wrote:
> On Tue, 2002-02-12 at 15:42, Steve Langasek wrote:
> > severity 133032 grave
> > severity 132992 grave
> > merge 133032 132992
> > thanks

> > The php4 package in unstable is not installable using only dependencies 
> > in unstable.  This is a grave bug.

> > I am preparing an NMU that will address this issue and will also change 
> > the maintainer address to packages@qa.debian.org, as is required for 
> > orphaned packages.

> I understood someone was already working on this and had filed an ITA
> for it?

The bug has not been retitled, and Adam is not a DD yet so cannot upload
on his own.  The fact that this bug remained mis-marked as important
rather than grave, and had no other comments against it, suggests to me 
that a solution was not being worked on.

When Adam is ready to start doing package builds, I'll gladly defer to 
him.  In the meantime, I'm NMUing to get this RC bug fixed.

Steve Langasek
postmodern programmer
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#132980; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Adam Conrad" <adconrad@0c3.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #50 received at 132980@bugs.debian.org (full text, mbox):

From: "Adam Conrad" <adconrad@0c3.net>
To: "'Steve Langasek'" <vorlon@netexpress.net>
Cc: <132980@bugs.debian.org>
Subject: RE: Bug#133032: uninstallable package == grave bug
Date: Mon, 11 Feb 2002 22:11:14 -0700
Steve,

Thanks for the NMU... Yes, I do intend to pick it up still, and I'll be
retitling the bug in the next couple of days when I know I'm good n'
ready... I need to talk to Petr about some things (like upstream
communication, package quirks, etc), and start on the NM process, blah
blah blah.

Reassigning it as a QA package for now seems to be the most sane thing
to do, I just hope it won't be necessary for long. :)

... Adam

(Wandering off to start checking things off the NM checklist, and email
some annoying questions to Petr..)

-----Original Message-----
From: Steve Langasek [mailto:vorlon@netexpress.net] 
Sent: Monday, February 11, 2002 8:52 PM
To: Andrew McMillan
Cc: Adam Conrad; 132980@bugs.debian.org
Subject: Re: Bug#133032: uninstallable package == grave bug


On Tue, Feb 12, 2002 at 03:51:59PM +1300, Andrew McMillan wrote:
> On Tue, 2002-02-12 at 15:42, Steve Langasek wrote:
> > severity 133032 grave
> > severity 132992 grave
> > merge 133032 132992
> > thanks

> > The php4 package in unstable is not installable using only
dependencies 
> > in unstable.  This is a grave bug.

> > I am preparing an NMU that will address this issue and will also
change 
> > the maintainer address to packages@qa.debian.org, as is required for

> > orphaned packages.

> I understood someone was already working on this and had filed an ITA
> for it?

The bug has not been retitled, and Adam is not a DD yet so cannot upload
on his own.  The fact that this bug remained mis-marked as important
rather than grave, and had no other comments against it, suggests to me 
that a solution was not being worked on.

When Adam is ready to start doing package builds, I'll gladly defer to 
him.  In the meantime, I'm NMUing to get this RC bug fixed.

Steve Langasek
postmodern programmer




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#132980; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Adam Conrad" <adconrad@0c3.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #55 received at 132980@bugs.debian.org (full text, mbox):

From: "Adam Conrad" <adconrad@0c3.net>
To: <132980@bugs.debian.org>, <control@bugs.debian.org>
Cc: "'Petr Cech'" <cech@debian.org>, "'Steve Langasek'" <vorlon@netexpress.net>
Subject: Official ITA for PHP4
Date: Fri, 15 Feb 2002 14:38:52 -0700
retitle 132980 ITA: php4 -- A server-side, HTML-embedded scripting
language
thanks

This is my "official" ITA for this package.  After much banter with a
variety of people, I almost feel like I need to post a resumé here just
to satisfy everyone about my competence for this task.  I won't be doing
that, however. :)

Petr Cech has agreed to be my Advocate for the NM process (yay!), and
Steve Langasek will be sponsoring my uploads (and maybe pitching in with
the occasional NMU if I ask him really nicely, while I get my Debian
bearings).

I'll save the rest of my ramblings for my AM, who I'm sure will care
more about them than the control bot, or a wnpp bug in the BTS. :)

... Adam Conrad




Changed Bug title. Request was from "Adam Conrad" <adconrad@0c3.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Steve Langasek <vorlon@netexpress.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Petr Cech <cech@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #64 received at 132980-done@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@netexpress.net>
To: 107201-done@bugs.debian.org, 132980-done@bugs.debian.org, 135304-done@bugs.debian.org
Subject: fixed in latest upload.
Date: Sun, 24 Mar 2002 13:37:09 -0600
[Message part 1 (text/plain, inline)]
closing the bugs by hand, because the BTS is wonky when it comes to 
sponsored uploads.
[Message part 2 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:16:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.